<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_white">

    <LinearLayout
        android:id="@+id/title_bar_with_back_btn"
        android:layout_width="match_parent"
        android:layout_height="@dimen/action_bar_height"
        android:background="@color/colorPrimary"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/title_bar_back_layout"
            android:layout_width="70dp"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="12dp">

            <ImageView
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:src="@drawable/back_selector" />

        </LinearLayout>

        <TextView
            android:id="@+id/title_bar_middle_txt"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:singleLine="true"
            android:textColor="@color/text_white"
            android:textSize="@dimen/action_bar_title_medium_text_size" />

        <LinearLayout
            android:id="@+id/title_bar_option_layout"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical|right"
            android:orientation="horizontal"
            android:paddingRight="9dp">

            <ImageView
                android:id="@+id/iv_scan"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:src="@drawable/scan" />

            <ImageView
                android:id="@+id/iv_qrcode"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginLeft="6dp"
                android:src="@drawable/qrcode" />

        </LinearLayout>

    </LinearLayout>


    <ImageView
        android:id="@+id/icon_no_data"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:src="@drawable/no_photo_tip" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/title_bar_with_back_btn">

        <android.support.v4.widget.SwipeRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <android.support.v7.widget.RecyclerView
                android:id="@+id/recycler_view_photos"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

        </android.support.v4.widget.SwipeRefreshLayout>

        <ImageButton
            android:id="@+id/btn_session_complete"
            android:layout_width="68dp"
            android:layout_height="68dp"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="6dp"
            android:background="@drawable/complete_selector" />

    </RelativeLayout>

</RelativeLayout>
